{ nixpkgs, unstable, ... }:

let
  inherit (nixpkgs.lib) composeManyExtensions;
  inherit (builtins) attrNames readDir;
	overlay-unstable = self: super: {
		unstable = unstable.legacyPackages.x86_64-linux;
	};
  localOverlays = map
    (f: import (./default + "/${f}"))
    (attrNames (readDir ./default));
in
composeManyExtensions (localOverlays ++ [
	overlay-unstable
])